Subject: Re: [PATCH] sky2: receive dma mapping error handling

From: Stephen Hemminger <[email-masked]>
Date: Wed, 3 Feb 2010 08:56:18 -0800

On Wed, 03 Feb 2010 11:47:19 -0500
Michael Breuer <[email-masked]> wrote:

> Tracked this down. The status being returned is 0x3c0080 - good flow 
> control packets. Nothing is actually being dropped (confirmed by packet 
> trace on switch compared with packet trace on server).
> 
> I whipped up a trivial patch to not count these as dropped packets and 
> will post to netdev.
> 
> I'm not really sure what the driver should be doing in this case, but 
> resubmit seems to work.

Looks like a flow control negotiation issue. You probably turned off
flow control on the Linux side, but the switch is still doing flow
control.

--